How to determine installed patches on Solaris 10

To determine installed patches, simply use “showrev” command

# showrev -p | more
Patch: 121430-42 Obsoletes: 121435-04, 121437-02 Requires:  Incompatibles:  Packages: SUNWlucfg, SUNWlur, SUNWluu
Patch: 138709-01 Obsoletes:  Requires:  Incompatibles:  Packages: SUNWlucfg
Patch: 138711-02 Obsoletes:  Requires:  Incompatibles:  Packages: SUNWlucfg, SUNWlur, SUNWluu
Patch: 118367-04 Obsoletes:  Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 118918-24 Obsoletes: 116781-02, 119012-03, 121282-02, 121284-02, 121292-01, 121473-01, 121476-01, 121478-01, 121786-01, 12344
4-01 Requires:  Incompatibles:  Packages: SUNWcsu, SUNWcsr, SUNWcsl, SUNWcnetr, SUNWcakr, SUNWckr, SUNWmdb, SUNWmdbr, SUNWcslr
Patch: 119042-10 Obsoletes:  Requires:  Incompatibles:  Packages: SUNWcsu, SUNWcsr, SUNWcsd, SUNWtnamr, SUNWkrbr, SUNWtnetr, SUNWgss
c, SUNWocfr, SUNWmdr, SUNWvolr, SUNWnfscr, SUNWbsr, SUNWpmr, SUNWnisr, SUNWatfsr, SUNWzoner, SUNWcnsr, SUNWpcr, SUNWpsr, SUNWefcr, S
UNWftpr, SUNWnfssr, SUNWntpr, SUNWpiclr, SUNWrcapr, SUNWrcmdr, SUNWslpr, SUNWsndmr, SUNWsshdr, SUNWaccr, SUNWdhcsr, SUNWkdcr
Patch: 119574-02 Obsoletes: 119267-01 Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 119578-30 Obsoletes: 119330-01, 119331-01, 119559-01, 119576-01, 120635-02, 122396-01 Requires:  Incompatibles:  Packages: SU
NWcsu, SUNWcsl, SUNWckr, SUNWfmd, SUNWarc
Patch: 120044-01 Obsoletes:  Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 120062-01 Obsoletes:  Requires:  Incompatibles:  Packages: SUNWcsu, SUNWloc
Patch: 120816-01 Obsoletes:  Requires:  Incompatibles:  Packages: SUNWcsu, SUNWesu, SUNWxcu4
Patch: 120830-06 Obsoletes:  Requires:  Incompatibles:  Packages: SUNWcsu, SUNWtoo, SUNWxcu4, SUNWxcu6
Patch: 120988-01 Obsoletes:  Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 121012-02 Obsoletes:  Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 121296-01 Obsoletes:  Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 123015-01 Obsoletes:  Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 123194-01 Obsoletes:  Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 123319-01 Obsoletes:  Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 123322-01 Obsoletes:  Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 123326-01 Obsoletes:  Requires:  Incompatibles:  Packages: SUNWcsu, SUNWxcu4
Patch: 123328-01 Obsoletes:  Requires:  Incompatibles:  Packages: SUNWcsu, SUNWxcu4, SUNWxcu6
Patch: 123520-01 Obsoletes:  Requires:  Incompatibles:  Packages: SUNWcsu, SUNWxcu4
Patch: 124325-01 Obsoletes:  Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 124997-01 Obsoletes:  Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 125549-01 Obsoletes:  Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 125894-01 Obsoletes: 125110-01 Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 126260-01 Obsoletes: 122183-03 Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 126262-01 Obsoletes: 125911-01 Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 126419-01 Obsoletes:  Requires:  Incompatibles:  Packages: SUNWcsu, SUNWcsr
Patch: 126425-01 Obsoletes: 125810-01 Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 126440-01 Obsoletes: 124244-02 Requires:  Incompatibles:  Packages: SUNWcsu, SUNWxcu4
Patch: 126538-01 Obsoletes: 121901-02 Requires: 119042-09 Incompatibles:  Packages: SUNWcsu
Patch: 127726-01 Obsoletes:  Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 127872-01 Obsoletes: 120618-01 Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 127878-01 Obsoletes: 127876-01 Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 127914-01 Obsoletes: 126145-01 Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 127994-01 Obsoletes: 120128-02 Requires:  Incompatibles:  Packages: SUNWcsu, SUNWxcu6
Patch: 128300-03 Obsoletes: 122032-05, 125378-05 Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 128330-01 Obsoletes: 121002-04 Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 128342-01 Obsoletes: 118872-05 Requires:  Incompatibles:  Packages: SUNWcsu
Patch: 137017-01 Obsoletes: 125108-02 Requires:  Incompatibles:  Packages: SUNWcsu, SUNWxcu4, SUNWxcu6
Patch: 121453-02 Obsoletes: 120776-03, 121086-02, 119107-07 Requires: 119574-02, 119254-06 Incompatibles:  Packages: SUNWcsu, SUNWcs
r, SUNWccccrr, SUNWccccr, SUNWccfw, SUNWccsign, SUNWcctpx, SUNWccinv, SUNWcsmauth, SUNWppror, SUNWpprou, SUNWupdatemgru, SUNWupdatem
grr, SUNWswupcl, SUNWccccfg, SUNWccfwctrl, SUNWppro-plugin-sunos-base
Patch: 118833-36 Obsoletes: 118822-30, 118348-01, 118868-01, 120996-02, 121298-01, 119712-04, 119852-03, 119943-01, 119984-03, 12005
2-03, 120196-02, 121000-05, 117170-01, 117461-08, 118370-04, 118375-07, 118852-07, 118874-02, 118911-01, 118913-02, 118927-02, 11899
6-04, 119216-02, 119218-02, 119374-13, 119444-03, 119557-09, 119568-02, 119569-02, 119572-01, 119596-03, 119681-08, 119687-02, 11968
9-08, 119715-10, 119828-05, 119939-01, 119941-03, 119992-02, 119994-01, 119996-01, 120009-01, 120030-03, 120034-01, 120054-02, 12008
3-01, 120251-02, 120254-03, 120258-02, 120300-01, 120362-02, 120627-01, 121237-01, 121266-01, 121268-01, 121276-03, 121280-01, 12130
1-02, 121777-01, 121784-01, 121788-02, 121790-01, 121792-01, 121794-02, 121796-01, 121798-01, 121800-01, 121802-01, 121804-01, 12180
6-01, 121808-01, 121810-01, 121812-01, 121814-01, 121816-01, 121818-01, 121820-01, 121822-01, 121824-01, 121826-01, 121832-01, 12183
4-01, 121836-01, 121838-01, 121840-01, 121842-01, 121844-01, 121846-01, 121848-01, 121850-01, 121852-01, 121854-01, 121894-01, 12207
9-01, 122081-01, 122176-01, 122235-01, 122237-02, 122241-01, 122242-01, 122243-01, 122294-01, 122296-01, 122298-01, 122302-01, 12230

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>

Go to top